Skip to main content
POST
/
1
/
sources
/
{sourceID}
/
validate
curl
curl --request POST \
  --url https://data.us.algolia.com/1/sources/6c02aeb1-775e-418e-870b-1faccd4b2c0f/validate \
  --header 'accept: application/json' \
  --header 'content-type: application/json' \
  --header 'x-algolia-api-key: ALGOLIA_API_KEY' \
  --header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
  --data '
{
  "name": "lorem",
  "input": {
    "storeKeys": [
      "lorem"
    ],
    "locales": [
      "fr-FR"
    ],
    "url": "lorem",
    "fallbackIsInStockValue": true,
    "productQueryPredicate": "lorem",
    "useImagesObjects": true,
    "customFields": {
      "inventory": [
        "lorem"
      ],
      "price": [
        "lorem"
      ],
      "category": [
        "lorem"
      ]
    }
  },
  "authenticationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f"
}
'
{
  "runID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
  "createdAt": "<string>",
  "data": [
    {}
  ],
  "eventID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
  "events": [
    {
      "batchSize": 10,
      "eventID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
      "publishedAt": "<string>",
      "runID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
      "data": {}
    }
  ],
  "message": "<string>"
}
Required ACL: addObject, deleteIndex, editSettings

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Path Parameters

sourceID
string
required

Unique identifier of a source. Universally uniqud identifier (UUID) of a source.

Example:

"6c02aeb1-775e-418e-870b-1faccd4b2c0f"

Body

application/json
authenticationID
string

Universally unique identifier (UUID) of an authentication resource.

Example:

"6c02aeb1-775e-418e-870b-1faccd4b2c0f"

input
object

Specific configuration attributes of a commercetools source.

name
string

Descriptive name of the source.

Response

OK

runID
string
required

Universally unique identifier (UUID) of a task run.

Example:

"6c02aeb1-775e-418e-870b-1faccd4b2c0f"

createdAt
string

Date and time when the resource was created, in RFC 3339 format.

data
object[]

This field is always null when used with the Push endpoint. When used for a source discover or source validate run, it will include the sampled data of the source.

eventID
string

Universally unique identifier (UUID) of an event.

Example:

"6c02aeb1-775e-418e-870b-1faccd4b2c0f"

events
object[]

in case of error, observability events will be added to the response.

message
string

a message describing the outcome of the operation that has been ran (push, discover or validate) run.

Last modified on March 23, 2026